Subject: Re: bug#7633: Part 6.22. Coreutils-8.5

From: "Gilles Espinasse" <[email-masked]>
Date: Mon, 13 Dec 2010 22:49:25 +0100

----- Original Message ----- 
From: "Клоков Алексей" <[email-masked]>
To: <[email-masked]>
Sent: Monday, December 13, 2010 9:26 AM
Subject: bug#7633: Part 6.22. Coreutils-8.5

> Hello.
> Part 6.22. Coreutils-8.5, I ran

First, you should report LFS issue on LFS-user list.

> make NON_ROOT_USERNAME = nobody check-root 2> & 1 | tee make.out

I am unsure of the space there, maybe they come with utf8 conversion?
Should be
make NON_ROOT_USERNAME=nobody check-root 2>&1 | tee make.out

> As a result, the file make.out at the end gives
> ======================================
> 7 of 13 tests failed
> (9 tests were not run)
> See tests / test-suite.log
> Please report to [email-masked]
> ======================================
> make [4]: *** [test-suite.log] Error 1
> make [4]: Leaving directory `/ sources/coreutils-8.5/tests'
> make [3]: *** [check-TESTS] Error 2
> make [3]: Leaving directory `/ sources/coreutils-8.5/tests'
> make [2]: *** [check-am] Error 2
> make [2]: Leaving directory `/ sources/coreutils-8.5/tests'
> make [1]: *** [check-root] Error 2
> make [1]: Leaving directory `/ sources/coreutils-8.5/tests'
> make: *** [check-root] Error 2
>
>
> but in the file tests / test-suite.log errors are no longer
>
same here for the added spaces at each side of /

> I have normal or not?
No, on chapter 6, all coreutils tests should be ok
(root tests)
======================
All 14 tests passed
(8 tests were not run)
======================
...
(non-root tests with RUN_EXPENSIVE_TESTS=yes)
=======================
All 372 tests passed
(47 tests were not run)
=======================

(gnulib tests)
======================
All 201 tests passed
(4 tests were not run)
======================

Gilles